Subject: bug#11602: "Qualified group name" undefined

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jun 2012 19:20:12 +0200

Dave Abrahams <[email-masked]> writes:

> I think I've not made my point very clearly.  Let me try again.  If I'm
> writing some code to work with Gnus, I can almost never tell whether a
> Gnus function that takes "a group name" expects a "qualified group name"
> or some "unqualified" group name form, nor can I tell precisely what
> that distinction means.  Do I have to convert one to the other?  If so,
> when and where must that happen?  The fact that one is longer than the
> other is not the only interesting feature of qualification.

Gnus uses full group names everywhere.  The backends use the group names
that make sense over the wire.  So Gnus uses
"nntp+news.gmane.org:gmane.discuss", while nntp.el uses "gmane.discuss".

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/